Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

Forge server file won't do anything


Recommended Posts

I installed a Forge server, ran the normal .jar file, accepted the EULA, tried to run the forge.jar file but it doesn't give me any folders (like the mods or config) folder. Already looked through the forum here but there weren't any help. I also updated to the newest Java version but it doesn't help.Screenshot_6.thumb.jpg.06d95c705e00e84e0ec04cc9a518520d.jpg

Link to comment
Share on other sites

On 7/27/2021 at 12:49 AM, LexManos said:

Then post a new log, as this error is related to Java 16.

If you're getting the same error, then you're still running with Java 16.

Sorry for the kinda dumb question but how can I try to disable/uninstall Java 16? image.thumb.png.6bb4a59cf0dd719b34cc4d5ff0d1c102.png

Link to comment
Share on other sites

15 hours ago, diesieben07 said:

Instead of "java" in your command line, use the full path to Java 8.

 

15 hours ago, diesieben07 said:

Instead of "java" in your command line, use the full path to Java 8.

Tried it with Java 11 rn but the window just closed. Then I deleted Java 16 and the same stuff as before happened that the console closes after like 0,5 seconds.

Link to comment
Share on other sites

1 hour ago, Luis_ST said:

show the complete command line you are using
try to run the command line via cmd, beacuse it returns an error message if an error occurs

Command line is the same as in the top again but with -pause at the end. 

Link to comment
Share on other sites

On 7/30/2021 at 10:45 AM, Luis_ST said:

then run the command via cmd and post the output should be an error

Just to be sure before I do: How do I write the exe in the directory? Is "C:\Program Files\Java\jdk-11.0.12\bin\java.exe" correct at the end?

Link to comment
Share on other sites

2 minutes ago, KickDesigns said:

Ok I forgot the quotation marks at the directory last time. Now the server completely started and the files appeared :). Thank y'all so much for helping me!

Nevermind, the server is trying to start but gets a new error. :( image.thumb.png.02d15d8bbf9fac6302aea03778f0a5a2.png

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share



  • Recently Browsing

    No registered users viewing this page.

  • Posts

    • Ran again after I got up, had a different error: PS C:\Users\user\Desktop\MinecraftForge> ./gradlew setup To honour the JVM settings for this build a single-use Daemon process will be forked. See https://docs.gradle.org/7.2/userguide/gradle_daemon.html#sec:disabling_the_daemon. Daemon will be stopped at the end of the build > Configure project : Version: 1.17.1-37.0.61 Java: 1.8.0_291 JVM: 25.291-b10(Oracle Corporation) Arch: amd64 > Configure project :clean WARNING: This project is configured to use the official obfuscation mappings provided by Mojang. These mapping fall under their associated license, you should be fully aware of this license. For the latest license text, refer below, or the reference copy here: https://github.com/MinecraftForge/MCPConfig/blob/master/Mojang.md, You can hide this warning by running the `hideOfficialWarningUntilChanged` task WARNING: (c) 2020 Microsoft Corporation. These mappings are provided "as-is" and you bear the risk of using them. You may copy and use the mappings for development purposes, but you may not redistribute the mappings complete and unmodified. Microsoft makes no warranties, express or implied, with respect to the mappings provided here. Use and modification of this document or the source code (in any form) of Minecraft: Java Edition is governed by the Minecraft End User License Agreement available at https://account.mojang.com/documents/minecraft_eula. FAILURE: Build failed with an exception. * Where: Build file 'C:\Users\user\Desktop\MinecraftForge\fmlcore\build.gradle' line: 7 * What went wrong: A problem occurred evaluating project ':fmlcore'. > java.lang.UnsupportedClassVersionError: org/javamodularity/moduleplugin/ModuleSystemPlugin has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0 * Try: Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights. * Get more help at https://help.gradle.org BUILD FAILED in 21s 2 actionable tasks: 2 up-to-date  
    • Here's a shot of where I'd expect to find it. There's one older forge version that appears at the bottom of the list, so I checked its entire length to be sure.  
    • Hi!, I'm trying to set up a workspace for a 1.17 mod. I want to port a 1.16.5 mod I already have, but first I wanted to try to set up a new empty mod, just to assure it works. The problem is when I run genEclipseRuns, it throws me FAILURE: Build failed with an exception. * What went wrong: Could not resolve all files for configuration ':runtimeClasspathCopy'. > Could not find net.minecraftforge:forge:1.17.1-37.0.61_mapped_official_1.17.1. Searched in the following locations: - file:/C:/Users/migue/.gradle/caches/forge_gradle/bundeled_repo/net/minecraftforge/forge/1.17.1-37.0.61_mapped_official_1.17.1/forge-1.17.1-37.0.61_mapped_official_1.17.1.pom - file:/C:/Users/migue/.gradle/caches/forge_gradle/bundeled_repo/net/minecraftforge/forge/1.17.1-37.0.61_mapped_official_1.17.1/forge-1.17.1-37.0.61_mapped_official_1.17.1.jar Required by: project : * Try: Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights. * Get more help at https://help.gradle.org Deprecated Gradle features were used in this build, making it incompatible with Gradle 8.0. You can use '--warning-mode all' to show the individual deprecation warnings and determine if they come from your own scripts or plugins. See https://docs.gradle.org/7.2/userguide/command_line_interface.html#sec:command_line_warnings BUILD FAILED in 24s I have OpenJDK16, and the Path and JAVA_HOME variables correctly set. I'm using the default mdk, so I didn't change anything from build.gradle Any help is appreciated, I've been stucked with this for hours
    • I'm new to Java and modding, so I went to the tutorial on https://mcforge.readthedocs.io/en/1.16.x/gettingstarted/ but I already am facing issues. I followed the guide up until step 6, at which point when I run "gradlew enIntellijRuns" I get an error which reads "Could not find net.minecraftforge:forge:1.16.5-36.2.0_mapped_official_1.16.5.". Do any knowledgable modders know what this means and how to fix it? Log: https://pastebin.com/vt9VgLPz Please let me know if I need to supply any additional information such as further logs or screenshots.
    • I will check out how chests work and see if I can figure a couple things from that, meanwhile ignore the fact I just table flipped on setBlock doing one thing, but not with blockpos.offset wow this change from 1.7 to 1.17 is making me feel dumb Lol Edit: yup nope lack of sleep derp for that Lol Oh well
  • Topics

  • Who's Online (See full list)

×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.